com.io7m.jcanephora.core

## Enum JCGLFramebufferStatus

- java.lang.Object
- - java.lang.Enum<JCGLFramebufferStatus>
  - - com.io7m.jcanephora.core.JCGLFramebufferStatus

- All Implemented Interfaces:
    Serializable, Comparable<JCGLFramebufferStatus>

      public enum JCGLFramebufferStatus
      extends Enum<JCGLFramebufferStatus>

  The result of validating a given framebuffer configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRAMEBUFFER_STATUS_COMPLETE` The framebuffer is complete and usable.
    `FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_ATTACHMENT` One or more of the framebuffer attachments are "framebuffer incomplete".
    `FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_DRAW_BUFFER` One of the framebuffer attachments selected for drawing is nonexistent.
    `FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_READ_BUFFER` One of the framebuffer attachments selected for reading is nonexistent.
    `FRAMEBUFFER_STATUS_ERROR_MISSING_IMAGE_ATTACHMENT` The framebuffer does not have any attached images.
    `FRAMEBUFFER_STATUS_ERROR_UNKNOWN` Framebuffer validation failed for unknown reasons (this should never occur).
    `FRAMEBUFFER_STATUS_ERROR_UNSUPPORTED` The current combination of attached image formats is unsupported by the implementation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLFramebufferStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLFramebufferStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRAMEBUFFER_STATUS_COMPLETE

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_COMPLETE

      The framebuffer is complete and usable.

    - #### FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_ATTACHMENT

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_ATTACHMENT

      One or more of the framebuffer attachments are "framebuffer incomplete".

    - #### FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_DRAW_BUFFER

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_DRAW_BUFFER

      One of the framebuffer attachments selected for drawing is nonexistent.

    - #### FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_READ_BUFFER

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_INCOMPLETE_READ_BUFFER

      One of the framebuffer attachments selected for reading is nonexistent.

    - #### FRAMEBUFFER_STATUS_ERROR_MISSING_IMAGE_ATTACHMENT

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_MISSING_IMAGE_ATTACHMENT

      The framebuffer does not have any attached images.

    - #### FRAMEBUFFER_STATUS_ERROR_UNKNOWN

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_UNKNOWN

      Framebuffer validation failed for unknown reasons (this should never occur).

    - #### FRAMEBUFFER_STATUS_ERROR_UNSUPPORTED

          public static final JCGLFramebufferStatus FRAMEBUFFER_STATUS_ERROR_UNSUPPORTED

      The current combination of attached image formats is unsupported by the implementation.

  - ### Method Detail

    - #### values

          public static JCGLFramebufferStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLFramebufferStatus c : JCGLFramebufferStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLFramebufferStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com